| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.UpdateLicenseRequestDto Class Reference

Data transfer object that is used for updating licenses. More...

## Properties
bool? | AllowOverages`[get, set]`
| Allow or not consumption overages.
string | ConsumptionPeriod`[get, set]`
| Period of consumption reset.
bool? | EnableMaintenancePeriod`[get, set]`
| Whether the license has maintenance plan or not.
int | FloatingUsers`[get, set]`
| Number of users there can be at most if the license is floating.
bool? | IsFloating`[get, set]`
| Does product support floating licenses.
bool? | IsFloatingCloud`[get, set]`
| Does product support floating cloud license.
bool? | IsTrial`[get, set]`
| Whether the license is trial or not.
string | MaintenanceDuration`[get, set]`
| Maintenance duration.
string | MaintenancePeriod`[get, set]`
| Maintenance end date.
int | MaxActivations`[get, set]`
| Maximum number of activations.
int | MaxConsumptions`[get, set]`
| Maximum consumption.
int | MaxOverages`[get, set]`
| Maximum overages.
string | Metadata`[get, set]`
| License metadata.
bool? | PreventVm`[get, set]`
| Prevent using virtual machine.
AddLicenseProductFeatureDto[] | ProductFeatures`[get, set]`
| Product features available for this license.
bool? | ResetConsumption`[get, set]`
| Enable or not periodic consumption reset.
int | TrialDays`[get, set]`
| Trial period of the license.
string | ValidDuration`[get, set]`
| Validity duration.
string | ValidityPeriod`[get, set]`
| It's final end date and time license is valid.

## Detailed Description

Data transfer object that is used for updating licenses.

## Property Documentation

## ◆ AllowOverages

bool? LicenseSpring.UpdateLicenseRequestDto.AllowOverages
| get set

Allow or not consumption overages.

Meaningful only for consumption license type

## ◆ ConsumptionPeriod

string LicenseSpring.UpdateLicenseRequestDto.ConsumptionPeriod
| get set

Period of consumption reset.

Format: "week", "month" or "year".

Meaningful only for consumption license type.

## ◆ MaintenanceDuration

string LicenseSpring.UpdateLicenseRequestDto.MaintenanceDuration
| get set

Maintenance duration.

Format: 1y (one year) or 2m (2 months) or 3d (3 days)

This Property conflicts with MaintenancePeriod. Specify either one of them but not both.

## ◆ MaintenancePeriod

string LicenseSpring.UpdateLicenseRequestDto.MaintenancePeriod
| get set

Maintenance end date.

Format: "2025-11-27" (YYYY-MM-DD)

This Property conflicts with MaintenanceDuration. Specify either one of them but not both.

## ◆ MaxActivations

int LicenseSpring.UpdateLicenseRequestDto.MaxActivations
| get set

Maximum number of activations.

Indicates on how many computers license can be activated simultaneously.

## ◆ MaxConsumptions

int LicenseSpring.UpdateLicenseRequestDto.MaxConsumptions
| get set

Maximum consumption.

Meaningful only for consumption license type

## ◆ MaxOverages

int LicenseSpring.UpdateLicenseRequestDto.MaxOverages
| get set

Maximum overages.

Meaningful only for consumption license type

## ◆ ProductFeatures

AddLicenseProductFeatureDto [] LicenseSpring.UpdateLicenseRequestDto.ProductFeatures
| get set

Product features available for this license.

Array of license features

## ◆ ResetConsumption

bool? LicenseSpring.UpdateLicenseRequestDto.ResetConsumption
| get set

Enable or not periodic consumption reset.

Meaningful only for consumption license type

## ◆ ValidDuration

string LicenseSpring.UpdateLicenseRequestDto.ValidDuration
| get set

Validity duration.

Format: 1y (one year) or 2m (2 months) or 3d (3 days) or 4h (4 hours) or 5min (5 minutes)

This Property conflicts with ValidityPeriod. Specify either one of them but not both.

## ◆ ValidityPeriod

string LicenseSpring.UpdateLicenseRequestDto.ValidityPeriod
| get set

It's final end date and time license is valid.

Format: "2020-10-15 00:00:00"

This Property conflicts with ValidityDuration. Specify either one of them but not both.

The documentation for this class was generated from the following file:

- Dto/UpdateLicenseRequestDto.cs